package com.shinsoft.sto.service.record;

import com.shinsoft.sto.model.record.ImportModel;
import com.shinsoft.sto.model.system.ResultJSON;

import java.util.List;
import java.util.Map;

public interface InrecordService {

    ResultJSON query(int page,
                     int rows,
                     Map<String,Object> map);

    ResultJSON statistics(Map<String,Object> map);


    ResultJSON batchInStore(String userId, List<ImportModel> dataList, String belongId,String userName);

    ResultJSON cancelInStore(Map<String,Object> map,String userId,String belongId);
}

